Subject: Re: bug#11707: 24.1.50; 'make recompile' does not use BYTE_COMPILE_FLAGS on Windows

From: Glenn Morris <[email-masked]>
Date: Sun, 24 Jun 2012 21:10:31 -0400

Eli Zaretskii wrote:

> You should use "make compile" in this situation.  "make recompile"
> might produce incorrect byte code, because it compiles all the files
> in the same Emacs session.

I would like to suggest just removing the "recompile" target altogether. 
Although I have never used it for anything personally, so maybe I'm
missing something, but I cannot see why this target should exist.
"make compile" is always more correct (and also faster on GNU/Linux for
multi-core machines).